PSDataSynth
============

Package attached to the paper:

_Elisa Crabu and Giuseppe Rodriguez_
**A Synthetic Dataset Generator for Photometric Stereo**
AMALART 2024, CEUR Workshop Proceedings, Cagliari, Italy, 2024, p. 49-60
[link](https://ceur-ws.org/Vol-XXX/paper4.pdf)

---

AUTHORS
-------

- Elisa Crabu and Giuseppe Rodriguez
       University of Cagliari, Italy

> Email: elisa.crabu@unica.it, rodriguez@unica.it

---

DESCRIPTION
-----------

A Matlab package for generating synthetic datasets for photometric stereo.

Release: 1.0, October 2024

Programming language: Matlab 23.2

---


INSTALLATION
------------

Uncompress the zip archive in an empty directory. Add the directory to Matlab
path is required.

---

PACKAGE USE
-----------

To verify that the installation is successful, run the program psdatagen.m.

---

PACKAGE STRUCTURE
-----------------

Depending on their number, you may either describe all the files included in
the package, or just the directory structure. An example:

* createlights.m	: create the lights matrix.
* makealbedo.m		: create an albedo matrix.
* makepsimage.m		: generate a synthetic images matrix.
* plotlights3d.m	: 3-D plot of light directions.
* psdatagen.m		: demo program for synthetic datasets generation
* psimshow.m		: display images 

---

PACKAGE UPDATES
---------------

Package updates will be available at
[link](https://bugs.unica.it/cana/software.html)

