function psimshow(vecimage,s,r,resizefactor,maxcolor)
%PSIMSHOW Display images with chosen resize factor and colour limits.

%   E. Crabu & G. Rodriguez
%   Email: elisa.crabu@unica.it, rodriguez@unica.it

if nargin<5, maxcolor = 0; end
if nargin<4, resizefactor = 1; end

if size(vecimage,2)>1		% albedo is RGB
	image(imresize(reshape(vecimage,s,r,3),resizefactor))
else				% albedo is grayscale
	pcolor(imresize(reshape(vecimage,s,r),resizefactor))
end
colormap gray
shading interp
axis image
axis off
if maxcolor, caxis([0 maxcolor]), end

